> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Reminder

> A `POST` to the `/reminders` endpoint allows your application to create reminder.



## OpenAPI

````yaml post /v3/reminders
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/reminders:
    post:
      tags:
        - Reminder
      summary: Add Reminder
      description: >-
        A `POST` to the `/reminders` endpoint allows your application to create
        reminder.
      operationId: reminders.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreReminder'
      responses:
        '200':
          description: '`Reminder`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Reminder'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreReminder:
      type: object
      properties:
        timezone:
          type:
            - string
            - 'null'
        schedule_type:
          type: string
          enum:
            - absolute
            - period
            - repeat
        remind_at:
          type:
            - string
            - 'null'
          format: date-time
        period_unit:
          type:
            - string
            - 'null'
          enum:
            - days
            - weeks
            - months
            - years
        period_value:
          type:
            - string
            - 'null'
        period_time_at:
          type:
            - string
            - 'null'
        repeat_unit:
          type:
            - string
            - 'null'
          enum:
            - daily
            - weekly
            - monthly
        repeat_value:
          type:
            - string
            - 'null'
        repeat_time_at:
          type:
            - string
            - 'null'
        channel:
          type: string
          enum:
            - slack
            - email
        note:
          type: string
        recipient:
          type:
            - string
            - 'null'
        is_active:
          type:
            - boolean
            - 'null'
        expires_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - schedule_type
        - channel
        - note
      title: StoreReminder
    Reminder:
      type: object
      properties:
        id:
          type: integer
        timezone:
          type:
            - string
            - 'null'
        schedule_type:
          type: string
        remind_at:
          type: string
        period_unit:
          type:
            - string
            - 'null'
        period_value:
          type:
            - integer
            - 'null'
        period_time_at:
          type:
            - string
            - 'null'
        repeat_unit:
          type:
            - string
            - 'null'
        repeat_value:
          type:
            - integer
            - 'null'
        repeat_time_at:
          type:
            - string
            - 'null'
        channel:
          type: string
        note:
          type: string
        recipient:
          type:
            - string
            - 'null'
        is_active:
          type: integer
        is_valid:
          type: string
        expires_at:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - timezone
        - schedule_type
        - remind_at
        - period_unit
        - period_value
        - period_time_at
        - repeat_unit
        - repeat_value
        - repeat_time_at
        - channel
        - note
        - recipient
        - is_active
        - is_valid
        - expires_at
        - created_at
        - updated_at
      title: Reminder
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````